#!/bin/sh
HASHES="oldsha256 oldsha512 newsha256 newsha512"
SMALLBLOCK="4096 8192 16384 32768 65536 131072"
LARGEBLOCK="262144 524288 1048576 10485760 104857600"

for hash in $HASHES; do
	for block in $SMALLBLOCK; do
		echo "Running $hash @ $block @ 10000 ..."
		for i in `jot 10`; do
			./$hash -b $block -n 10000 -t | grep Time | awk '{ print $3 }'
		done >> ${hash}_${block}.times
	done
	for block in $LARGEBLOCK; do
		echo "Running $hash @ $block @ 100 ..."
		for i in `jot 10`; do
			./$hash -b $block -n 100 -t | grep Time | awk '{ print $3 }'
		done >> ${hash}_${block}.times
	done
done

HOST=$(hostname -s)
for block in $SMALLBLOCK $LARGEBLOCK; do
	sysctl hw.model > results_${HOST}_${block}.txt
	ministat *sha256_${block}.times >> results_${HOST}_sha256_${block}.txt
	ministat *sha512_${block}.times >> results_${HOST}_sha512_${block}.txt
done
